{%- set int_ip = "x.x.x.x" %}
{%- set ext_ips = "y.y.y.y/n" %}
{%- set gw = "z.z.z.z" %}
{%- set dns1 = "d.d.d.d" %}
{%- set dns2 = "s.s.s.s" %}
{%- set some = "l.l.l.l" %}
{%- set serv = "e.e.e.e" %}

netplan: |
  network:
    ethernets:
      enp2s0:
        addresses: [ {{int_ip}}/16 ]
        nameservers:
          addresses: [ {{dns1}}, {{dns2}} ]
        routes:
          - to: {{some}}
            via: {{serv}}
        optional: true
      enp3s0:
        addresses: [ {{ext_ips}} ]
        gateway4: {{gw}}
        optional: true
    version: 2

ufw:
  before: |
    ################
    # Ensuring SSH #
    ################

    *filter

    -A ufw-before-input -d {{int_ip}} -p tcp --dport 22 -j ACCEPT -m comment --comment "ensure SSH access"

    COMMIT
    # line after commit
