webhooks:

  conf: |
    port: 7999
    address: x.x.x.x

    tls:
      key: /etc/webhooks/tls/key.pem
      cert: /etc/webhooks/tls/cert.pem

    scriptsRoot: /opt/webhooks/js-hooks
    runRoot: /opt/webhooks/run-hooks

    hooks:

      - request:
          url: upload-app
          type: POST
          body: binary
          bodyMaxSize: 100mb
          accessToken:
            type: sha256
            value: ?
        script:
          file: upload.js
          func: saveFile
          staticArgs:
            folder: /var/site/binaries/downloads

      - request:
          url: site/deploy
          type: POST
          body: stream
          accessToken:
            type: sha256
            value: ?
        run:
          shell: /bin/bash
          command: source deploy-stack.sh
          bodyStdin: true
          env:
            WORK_DIR: /var/our-company/deploy
            STACK: swarm-stack-id
