bind9:
  pkg.installed

/etc/bind/named.conf.options:
  file.managed:
    - source: salt://hosts/{{grains.id}}/named.conf.options

/etc/bind/named.conf.local:
  file.managed:
    - source: salt://hosts/{{grains.id}}/named.conf.local

/etc/bind/zones:
  file.recurse:
    - source: salt://hosts/{{grains.id}}/zones

systemctl restart bind9:
  cmd.run:
    - onchanges:
      - file: /etc/bind/named.conf.options
      - file: /etc/bind/named.conf.local
      - file: /etc/bind/zones
