{%- set domain = "container.registry.domain.internal" %}

dcregistry:

  domain: {{domain}}

  ip: "x.x.x.x"

  config: |
    version: 0.1
    log:
      fields:
        service: registry
    storage:
      cache:
        blobdescriptor: inmemory
      filesystem:
        rootdirectory: /var/lib/registry
    auth:
      htpasswd:
        realm: Registry Realm
        path: /etc/docker/registry/auth/htpasswd
    http:
      addr: :443
      tls:
        certificate: /etc/docker/registry/tls/{{domain}}.crt
        key: /etc/docker/registry/tls/{{domain}}.key
      headers:
        X-Content-Type-Options: [nosniff]
    health:
      storagedriver:
        enabled: true
        interval: 10s
        threshold: 3
